Open Lighting Architecture: ola::io::BigEndianOutputStreamAdaptor Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::io::BigEndianOutputStreamAdaptor Class Reference

## Detailed Description

BigEndianOutputStreamAdaptor. Wraps a OutputStreamInterface object and converts from Big Endian to host order.

Inheritance diagram for ola::io::BigEndianOutputStreamAdaptor:

## Public Member Functions
| BigEndianOutputStreamAdaptor (OutputStreamInterface *stream)
void | Write (const uint8_t *data, unsigned int length)
BigEndianOutputStreamAdaptor & | operator<< (int8_t val)
BigEndianOutputStreamAdaptor & | operator<< (uint8_t val)
BigEndianOutputStreamAdaptor & | operator<< (int16_t val)
BigEndianOutputStreamAdaptor & | operator<< (uint16_t val)
BigEndianOutputStreamAdaptor & | operator<< (int32_t val)
BigEndianOutputStreamAdaptor & | operator<< (uint32_t val)

## Member Function Documentation

## ◆ operator<<() [1/6]

BigEndianOutputStreamAdaptor & ola::io::BigEndianOutputStreamAdaptor::operator<< | ( | int16_t | val | ) |
| inlinevirtual

Implements ola::io::OutputStreamInterface.

## ◆ operator<<() [2/6]

BigEndianOutputStreamAdaptor & ola::io::BigEndianOutputStreamAdaptor::operator<< | ( | int32_t | val | ) |
| inlinevirtual

Implements ola::io::OutputStreamInterface.

## ◆ operator<<() [3/6]

BigEndianOutputStreamAdaptor & ola::io::BigEndianOutputStreamAdaptor::operator<< | ( | int8_t | val | ) |
| inlinevirtual

Implements ola::io::OutputStreamInterface.

## ◆ operator<<() [4/6]

BigEndianOutputStreamAdaptor & ola::io::BigEndianOutputStreamAdaptor::operator<< | ( | uint16_t | val | ) |
| inlinevirtual

Implements ola::io::OutputStreamInterface.

## ◆ operator<<() [5/6]

BigEndianOutputStreamAdaptor & ola::io::BigEndianOutputStreamAdaptor::operator<< | ( | uint32_t | val | ) |
| inlinevirtual

Implements ola::io::OutputStreamInterface.

## ◆ operator<<() [6/6]

BigEndianOutputStreamAdaptor & ola::io::BigEndianOutputStreamAdaptor::operator<< | ( | uint8_t | val | ) |
| inlinevirtual

Implements ola::io::OutputStreamInterface.

## ◆ Write()

void ola::io::BigEndianOutputStreamAdaptor::Write | ( | const uint8_t * | data,
|  | unsigned int | length )
| inlinevirtual

Implements ola::io::OutputStreamInterface.

The documentation for this class was generated from the following file:

- include/ola/io/BigEndianStream.h